let szam = prompt("Adjon meg egy számot: ");
let mindkettovelOszthato = [];
let csakHarommalOszthato = [];
let csakOttelOszthato = [];
let egyikkelSemOszthato = [];

for (let index = 1; index <= szam; index++) {
    if (index % 3 == 0 && index % 5 == 0) {
        mindkettovelOszthato.push(index);
    } else if (index % 3 == 0 && index % 5 != 0) {
        csakHarommalOszthato.push(index);
    } else if (index % 3 != 0 && index % 5 == 0){
        csakOttelOszthato.push(index);
    } else {
        egyikkelSemOszthato.push(index);
    }
}

document.getElementById("mindkettovelOszthato").innerHTML = "Mindkét számmal osztható számok: ";
document.getElementById("mindkettovelOszthato").innerHTML += mindkettovelOszthato.join('; ');

document.getElementById("csakHarommalOszthato").innerHTML = "Csak hárommal osztható számok: ";
document.getElementById("csakHarommalOszthato").innerHTML += csakHarommalOszthato.join('; ');

document.getElementById("csakOttelOszthato").innerHTML = "Csak öttel osztható számok: ";
document.getElementById("csakOttelOszthato").innerHTML += csakOttelOszthato.join('; ');

document.getElementById("egyikkelSemOszthato").innerHTML = "Egyik számmal sem osztható számok";
document.getElementById("egyikkelSemOszthato").innerHTML += egyikkelSemOszthato.join('; ');